<?php
/**
 * Created by PhpStorm.
 * User: YannickBreillet
 * Date: 10/02/2017
 * Time: 16:09
 */

namespace ByDedi\AdminBundle\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolver;

class PreviewType extends AbstractType
{

    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'value' => '',
        ));

        parent::configureOptions($resolver);
    }

    /**
     * @param FormView $view
     * @param FormInterface $form
     * @param array $options
     */
    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $view->vars['value'] = $options['value'];
    }

    /**
     * @return string
     */
    public function getBlockPrefix()
    {
        return 'preview_type';
    }
}
